#! /bin/bash

service_array=(mbusd.conf config-manager data-manager watch-dog cloud-proxy dimu message-router fota  gateway-monitor task-dispatcher credential fc-base ifttt  node  redis-server logger service-monitor driver_manager Debugger DebuggerProxy)

cd `dirname $0`

#Terminate the service started
stop_services() {
for service in ${service_array[@]}
do
	${Q}echo -e "[  \033[0;31m-\033[0m  ]  Stop Running Service:  ${service}"
	num=$(ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v grep | wc -l)
	if [ $num -ne 0 ];then
		ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v "grep" | awk '{print $2}' | xargs kill -15 >>/tmp/linkedge.log 2>&1
		sleep 1
	fi
	#else
		#${Q}echo "not have process:";
		#${Q}echo ${service}
	#fi
done
    cd ../bin && ./logctl clean  >>/tmp/linkedge.log 2>&1 && cd - &>/dev/null
}

stop_services

cnt=0
while [ $cnt -lt  3 ]
do
        umount_flag=`mount | grep fc-runtime | awk '{print $3}'`
        for um_point in ${umount_flag}
                do
                umount -l $um_point >/dev/null 2>&1
        done
        cnt=$(( $cnt + 1 ))
		sleep 1
done

